Authenticate an asset using password authentication.
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/assets/basic-auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/assets/basic-auth"
payload = {
"id": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', password: '<string>'})
};
fetch('https://api.lynkwell.com/asset-management/v1/assets/basic-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"profile": "INSECURE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "CONFLICT",
"code": "CONFLICTING_SECURITY_PROFILE_STATE",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Assets
Authenticate an asset using password authentication.
Authenticates an asset using password authentication. If the asset is not configured to use password authentication, the password will be ignored. If the asset has an expired software license, the authentication request will be rejected.
POST
/
asset-management
/
v1
/
assets
/
basic-auth
Authenticate an asset using password authentication.
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Response
Success. Return station security profile if applicable.
- Option 1
- Option 2
Describe the security level of an asset. Status will only be present if the profile is PASSWORD